Cyberduck Mountain Duck CLI

#9988 closed enhancement (fixed)

Save passwords in Credential Manager

Reported by: dkocher Owned by: jmalek
Priority: normal Milestone: 6.4.0
Component: core Version: 6.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 10

Description


Change History (10)

comment:1 Changed on Jun 22, 2017 at 6:47:28 PM by dkocher

#9971 closed as duplicate.

comment:2 Changed on Jun 22, 2017 at 6:49:34 PM by dkocher

  • Type changed from defect to enhancement

comment:3 Changed on Jun 22, 2017 at 6:50:15 PM by dkocher

https://trac.cyberduck.io/wiki/help/en/howto/connection#GeneralConnectionUseKeychain

On Windows, passwords are encrypted using the Windows Data Protection API (​DPAPI) and stored in the user.config file in the ​application support directory.

comment:4 Changed on Aug 16, 2017 at 7:39:07 AM by dkocher

Unfortunately this does not look feasible

  • Windows 10.1703 (15063.296) only allows up to 20 passwords to be saved per application
You can only store up to ten credentials per app in the Credential Locker. If you try to store more than ten credentials, you will encounter an Exception.

https://docs.microsoft.com/en-us/uwp/api/Windows.Security.Credentials.PasswordVault#Windows_Security_Credentials_PasswordVault_Add_Windows_Security_Credentials_PasswordCredential_

comment:5 Changed on Sep 4, 2017 at 1:05:15 PM by dkocher

#9958 closed as duplicate.

comment:6 Changed on Nov 8, 2017 at 10:31:54 AM by dkocher

  • Owner set to jmalek

comment:7 Changed on Jan 8, 2018 at 8:59:54 AM by dkocher

  • Milestone 7.0 deleted

comment:8 Changed on Feb 2, 2018 at 7:11:54 PM by dkocher

  • Milestone set to 6.3.6

comment:9 Changed on Feb 2, 2018 at 7:12:09 PM by dkocher

  • Milestone changed from 6.3.6 to 6.4.0

Milestone renamed

comment:10 Changed on Feb 5, 2018 at 8:34:18 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r43830.

Note: See TracTickets for help on using tickets.
swiss made software